
Redmine - Defect #21671

Preview doesn't work: 404 not found

2016-01-08 09:46 - Philip Heise

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.0

Description

Hi,

I'm running Redmine from Debian jessie (version 2.5.2 devel - "a snapshot of the development branch that would become redmine

3.0 before it was officially released") with Apache 2.4 + Passenger + Mysql.

My problem ist that the preview of wiki pages/ tickets etc. doesn't work. After clicking the preview button nothing happens.

My webbrowser tells me:

Failed to load resource: the server responded with a status of 404 (Not Found)

 The production log:

Started POST "/issues/preview/new/test" for 10.0.1.1 at 2016-01-06 22:08:26 +0000

Processing by PreviewsController#issue as URL_ENCODED_FORM

  Parameters: {"utf8"=>"<E2><9C><93>", "authenticity_token"=>"X4/hyNwlHewlZa0EhqMVYtwcm/UE+vc2Ov6F

7ETClDc=", "issue"=>{"tracker_id"=>"1", "subject"=>"test", "description"=>"test", "status_id"=>"1"

, "priority_id"=>"2", "assigned_to_id"=>"", "start_date"=>"2016-01-06", "due_date"=>"", "estimated

_hours"=>"", "done_ratio"=>"0"}, "project_id"=>"test"}

  Current user: test (id=8)

Missing template, responding with 404

 As it's a newly created installation with no plugins I have no idea what causes this. How can I further debug it?

History

#1 - 2016-01-08 10:39 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact Debian team.
